<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do przepisywania danych z bazy danych do funkcji które wyświetlają post po tablicy
	
	Black Min cms,
	
	#plik: 1.0
*/

	// skrypt przepisujący dane z bazy danych do funkcji po przez klase(post_bm) pobierającą dane o pośćie
	function query_post_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->query_post_search();
	};

	function query_load_posts_search(){
		global $szukaj_w_bazie;
		//$szukaj_w_bazie = new post_bm();
		//echo $szukaj_w_bazie->query_load_post();
		return $szukaj_w_bazie->query_load_post();
	};
	
	function id_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->id_post();
	};
	
	function author_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->author_post();
	};

	function title_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->title_post();
	};
	
	function url_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->url_post();
	};
	
	function format_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->format_post();
	};
	
	function category_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->category_post();
	};
	
	function status_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->status_post();
	};
	
	function tag_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->tag_post();
	};
	
	function datetime_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->datetime_post();
	};
	
	function datetime_change_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->datetime_change_post();
	};
	
	function user_edit_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->user_edit_post();
	};
	
	function comments_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->comments_post();
	};
	
	function thumbnail_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->thumbnail_post();
	};
	
	function contents_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->contents_post();
	};
	
	// sprawdzanie poprawnośći hasła
	function validate_password_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->validate_password_post();
	};

	function address_posts_search(){
		global $szukaj_w_bazie;
		return $szukaj_w_bazie->address_post();
	};

?>